## ros-noetic-cras-docs-common 2.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cras_docs_common)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

install(DIRECTORY src/${PROJECT_NAME}/sphinx-themes DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)

  # catkin_lint - checks validity of package.xml and CMakeLists.txt
  # ROS buildfarm calls this without any environment and with empty rosdep cache,
  # so we have problems reading the list of packages from env
  # see https://github.com/ros-infrastructure/ros_buildfarm/issues/923
  if(DEFINED ENV{ROS_HOME})
    #catkin_lint: ignore_once env_var
    set(ROS_HOME "$ENV{ROS_HOME}")
  else()
    #catkin_lint: ignore_once env_var
    set(ROS_HOME "$ENV{HOME}/.ros")
  endif()

  #catkin_lint: ignore_once env_var
  if(DEFINED ENV{ROS_ROOT} AND EXISTS "${ROS_HOME}/rosdep/sources.cache")
    roslint_custom(catkin_lint "-W2" .)
    roslint_add_test()  # Move this outside the if() block when more roslint tests are added
  endif()
endif()

=== debian/changelog ===
ros-noetic-cras-docs-common (2.1.2-1buster) buster; urgency=high

  * python3-catkin-sphinx has been released in buster, let's define the dependency for good now.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 09 Feb 2023 23:00:00 -0000

ros-noetic-cras-docs-common (2.1.1-1buster) buster; urgency=high

  * Revert adding python3-catkin-sphinx dependency until it is released for noetic/buster.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Feb 2023 23:00:00 -0000

ros-noetic-cras-docs-common (2.1.0-1buster) buster; urgency=high

  * Add python3-catkin-sphinx dependency as it has been added to rosdep.
  * Install the Spinx theme files.
  * Improved Sphinx CSS.
  * Fix tests.
  * Temporarily disable python3-catkin-sphinx until the rosdep key exists.
  * Added license.
  * Added cras_docs_common with a common Sphinx configuration.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Feb 2023 23:00:00 -0000

ros-noetic-cras-docs-common (2.0.10-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 16:43:00 -0000

ros-noetic-cras-docs-common (2.0.9-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 16:33:00 -0000

ros-noetic-cras-docs-common (2.0.8-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 15:00:00 -0000

ros-noetic-cras-docs-common (2.0.7-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 14:38:00 -0000

ros-noetic-cras-docs-common (2.0.6-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 14:03:00 -0000

ros-noetic-cras-docs-common (2.0.5-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 22 Oct 2022 22:00:00 -0000

ros-noetic-cras-docs-common (2.0.4-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Oct 2022 22:00:00 -0000

ros-noetic-cras-docs-common (2.0.3-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 06 Oct 2022 22:00:00 -0000

ros-noetic-cras-docs-common (2.0.2-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 28 Aug 2022 22:00:00 -0000

ros-noetic-cras-docs-common (2.0.1-1buster) buster; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 25 Aug 2022 22:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cras-docs-common//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-cras-docs-common 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.10.2)
 project(cras_docs_common)
 
 find_package(catkin REQUIRED)

=== debian/changelog ===
ros-noetic-cras-docs-common (2.3.1-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 12 Jul 2023 22:00:00 -0000

ros-noetic-cras-docs-common (2.3.0-1focal) focal; urgency=high

  * Increased minimum CMake version to 3.10.2.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 11 Jul 2023 22:00:00 -0000

ros-noetic-cras-docs-common (2.2.3-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 15 Jun 2023 22:00:00 -0000

ros-noetic-cras-docs-common (2.2.2-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 14 May 2023 22:00:00 -0000

ros-noetic-cras-docs-common (2.2.1-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 14 May 2023 22:00:00 -0000

ros-noetic-cras-docs-common (2.2.0-1focal) focal; urgency=high

  * Fixed sphinx docs build on Noetic.
  * Added support for custom themes.
  * Improved readme
  * Fixed wrong cross-references created for :ivar: fields by Sphinx.
  * Fix providing the custom sphinx theme to packages from this stack on ROS buildfarm.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 08 Apr 2023 22:00:00 -0000

ros-noetic-cras-docs-common (2.1.2-1focal) focal; urgency=high

  * python3-catkin-sphinx has been released in buster, let's define the dependency for good now.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 09 Feb 2023 23:00:00 -0000

ros-noetic-cras-docs-common (2.1.1-1focal) focal; urgency=high

  * Revert adding python3-catkin-sphinx dependency until it is released for noetic/buster.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Feb 2023 23:00:00 -0000

ros-noetic-cras-docs-common (2.1.0-1focal) focal; urgency=high

  * Add python3-catkin-sphinx dependency as it has been added to rosdep.
  * Install the Spinx theme files.
  * Improved Sphinx CSS.
  * Fix tests.
  * Temporarily disable python3-catkin-sphinx until the rosdep key exists.
  * Added license.
  * Added cras_docs_common with a common Sphinx configuration.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Feb 2023 23:00:00 -0000

ros-noetic-cras-docs-common (2.0.10-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 16:43:00 -0000

ros-noetic-cras-docs-common (2.0.9-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 16:33:00 -0000

ros-noetic-cras-docs-common (2.0.8-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 15:00:00 -0000

ros-noetic-cras-docs-common (2.0.7-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 14:38:00 -0000

ros-noetic-cras-docs-common (2.0.6-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Nov 2022 14:03:00 -0000

ros-noetic-cras-docs-common (2.0.5-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 22 Oct 2022 22:00:00 -0000

ros-noetic-cras-docs-common (2.0.4-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 13 Oct 2022 22:00:00 -0000

ros-noetic-cras-docs-common (2.0.3-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 06 Oct 2022 22:00:00 -0000

ros-noetic-cras-docs-common (2.0.2-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 28 Aug 2022 22:00:00 -0000

ros-noetic-cras-docs-common (2.0.1-1focal) focal; urgency=high



 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 25 Aug 2022 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-cras-docs-common
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), python3-catkin-lint <!nocheck>, ros-noetic-catkin, ros-noetic-roslint <!nocheck>
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cras-docs-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-catkin-sphinx, python3-mistune, ros-noetic-rosdoc-lite
Description: Common configuration for CRAS packages documentation.
